<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.31
Name: Age Observation
Description: This Age Observation represents the subject's age at onset of an event or observation. The age of a relative in a Family History Observation at the time of that observation could also be inferred by comparing RelatedSubject/subject/birthTime with Observation/effectiveTime. However, a common scenario is that a patient will know the age of a relative when the
                relative had a certain condition or when the relative died, but will not know the actual year (e.g., "grandpa died of a heart attack at the age of 50"). Often times, neither precise dates nor ages are known (e.g. "cousin died of congenital heart disease as an infant").
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000">
   <title>Age Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.31
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']]
Item: (AgeObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.31
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']
Item: (AgeObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']"
         id="tmp-r-f24ff8e0-5b00-45aa-aaf6-ce1085386078">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="string(@classCode)=('OBS')">conf-7613: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-7614: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.31'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.31']/@nullFlavor)">(AgeObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.31'])&lt;=1">(AgeObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.31'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="count(cda:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(cda:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(AgeObservation): element cda:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="count(cda:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(AgeObservation): element cda:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'])&gt;=1 and not(cda:statusCode[@code='completed']/@nullFlavor)">(AgeObservation): element cda:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'])&lt;=1">(AgeObservation): element cda:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="count(cda:value)&gt;=1 and not(cda:value/@nullFlavor)">(AgeObservation): element cda:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="count(cda:value)&lt;=1">(AgeObservation): element cda:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.31
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.31']
Item: (AgeObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.31']"
         id="tmp-r-38ec1230-67d1-4d32-97b8-9bb1ddeeed84">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.31')">conf-10487: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.31' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.31
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']/cda:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (AgeObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']/cda:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-b3f58270-7a5f-4beb-98b1-c5fe4b2c8654">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="@nullFlavor or (@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')">(AgeObservation): de elementwaarde MOET een zijn van 'code '445518008' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.31
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']/cda:statusCode[@code='completed']
Item: (AgeObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']/cda:statusCode[@code='completed']"
         id="tmp-r-1deb5158-e875-4a40-b3e0-ecb21512c0f9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AgeObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="@nullFlavor or (@code='completed')">(AgeObservation): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.31
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']/cda:value
Item: (AgeObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.31']/cda:value"
         id="tmp-r-2edc6aca-5ffb-4bbc-8d39-90fbaa912ed7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AgeObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="$digitok or @nullFlavor">(AgeObservation): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(AgeObservation): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="@unit">conf-7618: attribute @unit MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.11.20.9.21-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.31-2013-01-31T000000.html"
              test="not(@unit) or count($theAttValue) = count($theAttCheck)">conf-7618: de waarde van unit MOET worden gekozen uit waardelijst '2.16.840.1.113883.11.20.9.21' AgePQ_UCUM (DYNAMISCH).</assert>
   </rule>
</pattern>
