<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.32
Name: Service Delivery Location
Description: This clinical statement represents the location of a service event where an act, observation or procedure took place.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000">
   <title>Service Delivery Location</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]
Item: (ServiceDeliveryLocation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']"
         id="tmp-r-7536dee3-cf90-40f0-ab5a-b39a4e3b3397">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="string(@classCode)=('SDLOC')">CONF:81-7758: de waarde van @classCode MOET 'SDLOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32']/@nullFlavor)">(ServiceDeliveryLocation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32'])&lt;=1">(ServiceDeliveryLocation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(ServiceDeliveryLocation): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(ServiceDeliveryLocation): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="count(cda:playingEntity)&lt;=1">(ServiceDeliveryLocation): element cda:playingEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32']
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32']"
         id="tmp-r-9db31b46-1d22-4082-b862-ab1835cadf4e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.32')">CONF:81-10524: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.32' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-eb56dfeb-cc5b-4421-a311-5f2427c451e7">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ServiceDeliveryLocation): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.20275 HealthcareServiceLocation (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ServiceDeliveryLocation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.20275 HealthcareServiceLocation (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:addr
Item: (ServiceDeliveryLocation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:telecom
Item: (ServiceDeliveryLocation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:playingEntity
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:playingEntity"
         id="tmp-r-497659fb-7595-4313-894e-4c550d73d1b0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="string(@classCode)=('PLC')">CONF:81-7763: de waarde van @classCode MOET 'PLC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="count(cda:name)&lt;=1">(ServiceDeliveryLocation): element cda:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:playingEntity/cda:name
Item: (ServiceDeliveryLocation)
-->
</pattern>
