<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.6
Name: Problem Status (DEPRECATED)
Description: The Problem Status records whether the indicated problem is active, inactive, or resolved. THIS TEMPLATE HAS BEEN DEPRECATED IN C-CDA R2 AND MAY BE DELETED FROM A FUTURE RELEASE OF THIS IMPLEMENTATION GUIDE. USE OF THIS TEMPLATE IS NOT RECOMMENDED. *Reason for deprecation*: Per the explanation in Volume 1, Section 3.2 "Determining a Clinical Statement's Status",
                the status of a problem is determined based on attributes of the Problem Observation.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000">
   <title>Problem Status (DEPRECATED)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]
Item: (ProblemStatusDEPRECATED)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']
Item: (ProblemStatusDEPRECATED)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']"
         id="tmp-r-125f4635-aef4-49b3-b860-40ac7da6ddeb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="string(@classCode)=('OBS')">CONF:1098-7357: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="string(@moodCode)=('EVN')">CONF:1098-7358: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6']/@nullFlavor)">(ProblemStatusDEPRECATED): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'])&lt;=1">(ProblemStatusDEPRECATED): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="count(cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ProblemStatusDEPRECATED): element cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="count(cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ProblemStatusDEPRECATED): element cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="count(cda:statusCode[@code='completed'])&gt;=1 and not(cda:statusCode[@code='completed']/@nullFlavor)">(ProblemStatusDEPRECATED): element cda:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="count(cda:statusCode[@code='completed'])&lt;=1">(ProblemStatusDEPRECATED): element cda:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(ProblemStatusDEPRECATED): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(ProblemStatusDEPRECATED): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6']
Item: (ProblemStatusDEPRECATED)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6']"
         id="tmp-r-17b9fa01-a95e-4821-af8c-0b2c819884d1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.6')">CONF:1098-10518: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.6' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ProblemStatusDEPRECATED)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-d50f1340-73fc-455f-b800-be23fb7c1c76">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="@nullFlavor or (@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')">(ProblemStatusDEPRECATED): de elementwaarde MOET een zijn van 'code '33999-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:statusCode[@code='completed']
Item: (ProblemStatusDEPRECATED)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:statusCode[@code='completed']"
         id="tmp-r-27ab0d4b-b29b-44fb-a2a2-1aadff5fe61e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="@nullFlavor or (@code='completed')">(ProblemStatusDEPRECATED): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (ProblemStatusDEPRECATED)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-ae514c51-fcff-4915-bae9-9b6cad780460">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemStatusDEPRECATED): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ProblemStatusDEPRECATED): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.88.12.80.68 Problem Status (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2014-06-09T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ProblemStatusDEPRECATED): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.80.68 Problem Status (DYNAMISCH).</assert>
   </rule>
</pattern>
