<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Name: VZVZ Opleveren Medicatievoorschriften
Description: Opleveren Medicatievoorschriften: Deze interactie wordt door bronsystemen gebruikt om medicatievoorschriften op te leveren naar aanleiding van een bevraging door het LSP. 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000">
   <title>VZVZ Opleveren Medicatievoorschriften</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/" id="tmp-r-bb0cb352-7b43-4c47-b2da-bb18e8c91977">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:QURX_IN990103NL02)&gt;=1 ">(opleverenVoorschriftenLijst): element hl7:QURX_IN990103NL02 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:QURX_IN990103NL02)&lt;=1">(opleverenVoorschriftenLijst): element hl7:QURX_IN990103NL02 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02"
         id="tmp-r-f60b3cf3-713a-45d3-9448-025bb5f3e31b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 ">(opleverenVoorschriftenLijst): element hl7:ControlActProcess is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess"
         id="tmp-r-127dbbe4-46dc-4ef4-accf-c78e93a7bff4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenVoorschriftenLijst): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']])&gt;=1 ">(opleverenVoorschriftenLijst): element hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]"
         id="tmp-r-dee53c2b-992d-48d5-8f8a-939f40079169">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12'])&gt;=1 ">(opleverenVoorschriftenLijst): element hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12'] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']"
         id="tmp-r-51f386ea-18bc-4467-8c8e-c8448e82bcdb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@classCode)=('LIST') or not(@classCode)">(opleverenVoorschriftenLijst): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(opleverenVoorschriftenLijst): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12'])&lt;=1">(opleverenVoorschriftenLijst): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(opleverenVoorschriftenLijst): element hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(opleverenVoorschriftenLijst): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']"
         id="tmp-r-169204a6-63ea-499c-ac10-899fbdc53a5d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.12')">(opleverenVoorschriftenLijst): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.12' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-75ab8c44-d68a-4006-b9d3-d24c2b1adaa3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="@nullFlavor or (@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')">(opleverenVoorschriftenLijst): de elementwaarde MOET een zijn van 'code 'MEDLIST' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/hl7:recordTarget
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/hl7:recordTarget"
         id="tmp-r-8b898fac-a3b2-413b-913e-498b7193f127">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@typeCode)=('RCT')">(opleverenVoorschriftenLijst): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@contextControlCode)=('OP')">(opleverenVoorschriftenLijst): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:patient)&lt;=1">(opleverenVoorschriftenLijst): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/hl7:recordTarget/hl7:patient
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/hl7:recordTarget/hl7:patient"
         id="tmp-r-82245b6a-87a6-48c1-a860-7c910d0f13b4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@classCode)=('PAT')">(opleverenVoorschriftenLijst): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(opleverenVoorschriftenLijst): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-14f2899b-cd8f-4fe2-93d7-a2383184fe01">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(opleverenVoorschriftenLijst): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="@extension">(opleverenVoorschriftenLijst): attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/hl7:component[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.204']]
Item: (opleverenVoorschriftenLijst)
-->
   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:MedicationPrescriptionList[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/hl7:component[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.204']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(opleverenVoorschriftenLijst): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
